function FileData_Pairs(x)
{
x.t("extensions","add");
x.t("extensions","allow");
x.t("extensions","array");
x.t("extensions","tibco");
x.t("extensions","non-compliant");
x.t("extensions","vendor");
x.t("extensions","therefore");
x.t("tag","jms_tibco_msg_ext");
x.t("tibemsmapmsg_setlong","tibemsmapmsg");
x.t("tibemsmapmsg_setlong","using");
x.t("destroying","nested");
x.t("indexed","name");
x.t("available","within");
x.t("notes","tibemsmapmsg_create");
x.t("parameter","description");
x.t("parameter","control");
x.t("defines","calls");
x.t("defines","functions");
x.t("within","jms");
x.t("within","message");
x.t("description","message");
x.t("description","page");
x.t("create","map");
x.t("freeing","map");
x.t("related","types");
x.t("instance","submessage");
x.t("void","bytes");
x.t("tibems_double","value");
x.t("action","prevents");
x.t("recommend","calls");
x.t("providers","tibemsmapmsg_get");
x.t("tibemsmapmsg_itemexists","test");
x.t("tibemsmapmsg_itemexists","function");
x.t("tibemsmapmsg_itemexists","tibemsmapmsg");
x.t("tibemsmapmsg_itemexists","using");
x.t("creates","new");
x.t("creates","message");
x.t("field","program");
x.t("field","name");
x.t("field","tibemsmsgfield");
x.t("field","names");
x.t("pair","name");
x.t("pair","exists");
x.t("pair","map");
x.t("pair","body");
x.t("generating","series");
x.t("end-call","message");
x.t("end-call","call");
x.t("tibemsmapmsg_getbyte","tibemsmapmsg");
x.t("tibemsmapmsg_getbyte","using");
x.t("program","may");
x.t("program","free");
x.t("until","freeing");
x.t("supply","tibems_true");
x.t("type","contain");
x.t("type","purpose");
x.t("freed","call");
x.t("tibemsmapmsg_getchar","tibemsmapmsg");
x.t("tibemsmapmsg_getchar","using");
x.t("tibemsmapmsg_setreferencedbytes","tibemsmapmsg");
x.t("tibemsmapmsg_setreferencedbytes","adds");
x.t("tibemsmapmsg_setreferencedbytes","using");
x.t("considerable","flexibility");
x.t("calls","destroying");
x.t("calls","supply");
x.t("calls","return");
x.t("calls","documented");
x.t("calls","extract");
x.t("tibemsmapmsg_setshortarray","tibemsmapmsg");
x.t("tibemsmapmsg_setshortarray","using");
x.t("however","extensions");
x.t("however","program");
x.t("tagged","extensions");
x.t("tibemsmapmsg_getfield","tibemsmapmsg");
x.t("tibemsmapmsg_getfield","using");
x.t("tibemsmapmsg_getfield","extract");
x.t("unitary","values");
x.t("extend","jms");
x.t("rendezvous","messages");
x.t("rendezvous","tibco");
x.t("primitive","types");
x.t("property","tag");
x.t("tibems-status","end-call");
x.t("count","tibems_status");
x.t("count","returning");
x.t("count","array");
x.t("count","nested");
x.t("original","byte");
x.t("jms","providers");
x.t("jms","specifications");
x.t("jms","specification");
x.t("jms","mapmessage");
x.t("certain","features");
x.t("new","map");
x.t("new","message");
x.t("single","value");
x.t("tibemsmapmsg_setdoublearray","tibemsmapmsg");
x.t("tibemsmapmsg_setdoublearray","using");
x.t("interoperate","jms");
x.t("compliant","jms");
x.t("tibems_status","tibemsmapmsg_setlong");
x.t("tibems_status","tibemsmapmsg_itemexists");
x.t("tibems_status","tibemsmapmsg_getbyte");
x.t("tibems_status","tibemsmapmsg_getchar");
x.t("tibems_status","tibemsmapmsg_setreferencedbytes");
x.t("tibems_status","tibemsmapmsg_setshortarray");
x.t("tibems_status","tibemsmapmsg_getfield");
x.t("tibems_status","tibemsmapmsg_setdoublearray");
x.t("tibems_status","tibemsmapmsg_getmapnames");
x.t("tibems_status","tibemsmapmsg_getlong");
x.t("tibems_status","tibemsmapmsg_getshort");
x.t("tibems_status","tibemsmapmsg_getfloat");
x.t("tibems_status","tibemsmapmsg_getbytes");
x.t("tibems_status","tibemsmapmsg_getdouble");
x.t("tibems_status","tibemsmapmsg_setlongarray");
x.t("tibems_status","tibemsmapmsg_setdouble");
x.t("tibems_status","tibemsmapmsg_getstring");
x.t("tibems_status","tibemsmapmsg_setshort");
x.t("tibems_status","tibemsmapmsg_getmapmsg");
x.t("tibems_status","tibemsmapmsg_setfloat");
x.t("tibems_status","tibemsmapmsg_setintarray");
x.t("tibems_status","tibemsmapmsg_setbyte");
x.t("tibems_status","tibemsmapmsg_setfloatarray");
x.t("tibems_status","tibemsmapmsg_setchar");
x.t("tibems_status","tibemsmapmsg_setstreammsg");
x.t("tibems_status","tibemsmapmsg_setbytes");
x.t("tibems_status","tibemsmapmsg_setboolean");
x.t("tibems_status","tibemsmapmsg_setint");
x.t("tibems_status","tibemsmapmsg_setstring");
x.t("tibems_status","tibemsmapmsg_create");
x.t("tibems_status","tibemsmapmsg_getboolean");
x.t("tibems_status","tibemsmapmsg_setmapmsg");
x.t("tibems_status","tibemsmapmsg_getint");
x.t("cobol","call");
x.t("size","positive");
x.t("increments","reference");
x.t("enterprise","message");
x.t("add","considerable");
x.t("group","parameters");
x.t("tibemsmapmsg_getmapnames","create");
x.t("tibemsmapmsg_getmapnames","tibemsmsg");
x.t("tibemsmapmsg_getmapnames","function");
x.t("tibemsmapmsg_getmapnames","using");
x.t("tibemsmsg_create","page");
x.t("tibemsmsg","streammsg");
x.t("tibemsmsg","mapmsg");
x.t("tibemsmsg","message");
x.t("tibemsmsg","page");
x.t("features","available");
x.t("flat","message");
x.t("large","efficient");
x.t("test","pair");
x.t("test","body");
x.t("test","named");
x.t("test","location");
x.t("tibemsmapmsg_getlong","tibemsmapmsg");
x.t("tibemsmapmsg_getlong","using");
x.t("tibemsmapmsg_getshort","tibemsmapmsg");
x.t("tibemsmapmsg_getshort","using");
x.t("byte","array");
x.t("byte","sequence");
x.t("name","void");
x.t("name","tibems_double");
x.t("name","pair");
x.t("name","field");
x.t("name","calls");
x.t("name","count");
x.t("name","tibemsmsg");
x.t("name","test");
x.t("name","tibemsmsgfield");
x.t("name","const");
x.t("name","bytes");
x.t("name","exists");
x.t("name","function");
x.t("name","tibems_short");
x.t("name","tibems_float");
x.t("name","tibemsmapmsg");
x.t("name","tibems_int");
x.t("name","reference");
x.t("name","tibems_byte");
x.t("name","value");
x.t("name","tibems_wchar");
x.t("name","bytessize");
x.t("name","tibems_long");
x.t("name","tibems_bool");
x.t("streammessage","instance");
x.t("streammessage","generating");
x.t("streammessage","body");
x.t("returning","tibems-status");
x.t("char","name");
x.t("char","value");
x.t("tibemsmapmsg_getfloat","tibemsmapmsg");
x.t("tibemsmapmsg_getfloat","using");
x.t("enumeration","field");
x.t("enumeration","cobol");
x.t("enumeration","returning");
x.t("enumeration","function");
x.t("enumeration","usage");
x.t("enumeration","location");
x.t("const","tibems_double");
x.t("const","char");
x.t("const","tibems_short");
x.t("const","tibems_float");
x.t("const","tibems_int");
x.t("const","tibems_long");
x.t("bytes","byte");
x.t("bytes","tibemsmapmsg_getbytes");
x.t("bytes","reference");
x.t("bytes","usage");
x.t("bytes","value");
x.t("bytes","tibems_uint");
x.t("bytes","associate");
x.t("tibemsmsgfield","value");
x.t("tibemsmsgfield","page");
x.t("streammsg","mapmsg");
x.t("streammsg","value");
x.t("streammsg","tibems_bool");
x.t("argument","tibems_true");
x.t("avoid","making");
x.t("exists","cobol");
x.t("exists","returning");
x.t("exists","function");
x.t("exists","tibemsmapmsg");
x.t("exists","declaration");
x.t("parameters","parameter");
x.t("subsequently","freed");
x.t("boolean","result");
x.t("declarations","tibems_status");
x.t("map","message");
x.t("arrays","primitive");
x.t("strings","value");
x.t("strings","nested");
x.t("132","message");
x.t("name-value","pair");
x.t("name-value","pairs");
x.t("pairs","related");
x.t("pairs","map");
x.t("pairs","mapmessage");
x.t("allow","tibco");
x.t("programs","extensions");
x.t("programs","certain");
x.t("tibemsmapmsg_getbytes","stores");
x.t("tibemsmapmsg_getbytes","tibemsmapmsg");
x.t("tibemsmapmsg_getbytes","using");
x.t("tibemsmapmsg_getdouble","tibemsmapmsg");
x.t("tibemsmapmsg_getdouble","using");
x.t("copies","byte");
x.t("copies","value");
x.t("fields","function");
x.t("array","until");
x.t("array","large");
x.t("array","declarations");
x.t("array","map");
x.t("array","functions");
x.t("array","value");
x.t("array","named");
x.t("array","values");
x.t("array","copy");
x.t("array","call");
x.t("tibemsmapmsg_setlongarray","tibemsmapmsg");
x.t("tibemsmapmsg_setlongarray","using");
x.t("empty","strings");
x.t("sets","map");
x.t("contain","several");
x.t("specifications","extended");
x.t("mapmsg","value");
x.t("mapmsg","usage");
x.t("mapmsg","tibemsmapmsg_setmapmsg");
x.t("mapmsg","tibems_bool");
x.t("functions","parameter");
x.t("functions","extend");
x.t("functions","array");
x.t("functions","name-value");
x.t("functions","nested");
x.t("body","type");
x.t("body","map");
x.t("body","types");
x.t("body","tibco");
x.t("_get","function");
x.t("ownership","nested");
x.t("messages","tagged");
x.t("messages","argument");
x.t("messages","fields");
x.t("messages","programs");
x.t("messages","body");
x.t("messages","instead");
x.t("messages","tibemsmapmsg");
x.t("messages","tibco");
x.t("messages","message");
x.t("tibemsmsg_destroy","tibemsmsg_create");
x.t("tibemsmsg_destroy","page");
x.t("number","mapmsg");
x.t("control","ownership");
x.t("function","description");
x.t("function","copies");
x.t("function","stores");
x.t("function","purpose");
x.t("length","byte");
x.t("length","remarks");
x.t("chapter","messages");
x.t("exchange","messages");
x.t("tibems_short","value");
x.t("tibems_not_found","tibemsmapmsg_getmapnames");
x.t("cannot","interoperate");
x.t("may","free");
x.t("ways","extensions");
x.t("instead","flat");
x.t("stores","boolean");
x.t("stores","length");
x.t("stores","location");
x.t("stores","pointer");
x.t("tibemsmapmsg","type");
x.t("tibemsmapmsg","name-value");
x.t("tibemsmapmsg","_get");
x.t("tibemsmapmsg","function");
x.t("tibemsmapmsg","chapter");
x.t("tibemsmapmsg","tibemsmapmsg");
x.t("tibemsmapmsg","message");
x.t("tibemsmapmsg","value");
x.t("types","however");
x.t("types","tibemsmsg");
x.t("types","values");
x.t("types","two");
x.t("release","notes");
x.t("tibems_float","value");
x.t("purpose","create");
x.t("purpose","test");
x.t("purpose","byte");
x.t("purpose","enumeration");
x.t("purpose","name-value");
x.t("purpose","message");
x.t("purpose","data");
x.t("tibems_int","value");
x.t("reference","count");
x.t("reference","byte");
x.t("reference","name");
x.t("reference","bytes");
x.t("reference","enumeration");
x.t("reference","exists");
x.t("reference","message");
x.t("reference","value");
x.t("reference","bytessize");
x.t("tibemsmapmsg_setdouble","tibemsmapmsg");
x.t("tibemsmapmsg_setdouble","using");
x.t("return","tibems_not_found");
x.t("tibemsmsgenum","enumeration");
x.t("tibemsmsgenum","page");
x.t("adds","reference");
x.t("message","extensions");
x.t("message","action");
x.t("message","tibemsmapmsg_itemexists");
x.t("message","field");
x.t("message","pair");
x.t("message","single");
x.t("message","cobol");
x.t("message","tibemsmapmsg_getmapnames");
x.t("message","test");
x.t("message","name");
x.t("message","returning");
x.t("message","const");
x.t("message","bytes");
x.t("message","enumeration");
x.t("message","streammsg");
x.t("message","declarations");
x.t("message","arrays");
x.t("message","array");
x.t("message","functions");
x.t("message","body");
x.t("message","function");
x.t("message","reference");
x.t("message","tibemsmsgenum");
x.t("message","tibco");
x.t("message","usage");
x.t("message","value");
x.t("message","compatibility");
x.t("message","declaration");
x.t("message","location");
x.t("message","nested");
x.t("message","tibemsmapmsg_get");
x.t("message","application");
x.t("message","allocates");
x.t("message","call");
x.t("message","service");
x.t("message","storage");
x.t("message","containing");
x.t("message","improperly");
x.t("tibco","rendezvous");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("tibco","smartsockets");
x.t("extended","messages");
x.t("tibems-boolean","returning");
x.t("101","tibemsmapmsg_setbytes");
x.t("tibems_byte","value");
x.t("null","empty");
x.t("tibems_true","remarks");
x.t("tibems_true","call");
x.t("jms_tibco_msg_ext","information");
x.t("named","pair");
x.t("named","value");
x.t("usage","pointer");
x.t("value","within");
x.t("value","field");
x.t("value","pair");
x.t("value","unitary");
x.t("value","count");
x.t("value","tibems_status");
x.t("value","cobol");
x.t("value","name");
x.t("value","returning");
x.t("value","streammsg");
x.t("value","declarations");
x.t("value","map");
x.t("value","array");
x.t("value","mapmsg");
x.t("value","length");
x.t("value","message");
x.t("value","tibems-boolean");
x.t("value","usage");
x.t("value","value");
x.t("value","location");
x.t("value","tibems_uint");
x.t("value","bytessize");
x.t("value","associate");
x.t("value","associated");
x.t("value","takeownership");
x.t("several","values");
x.t("compatibility","rendezvous");
x.t("declaration","tibems_status");
x.t("free","orignal");
x.t("free","modify");
x.t("extends","jms");
x.t("tibemsmapmsg_getstring","calls");
x.t("tibemsmapmsg_getstring","tibemsmapmsg");
x.t("tibemsmapmsg_getstring","using");
x.t("non-compliant","cannot");
x.t("making","copy");
x.t("tibems_wchar","value");
x.t("tibemsmapmsg_setshort","tibemsmapmsg");
x.t("tibemsmapmsg_setshort","using");
x.t("page","132");
x.t("page","tibemsmsg_destroy");
x.t("page","tibemsmapmsg");
x.t("page","101");
x.t("page","remarks");
x.t("page","tibemsmapmsg_create");
x.t("page","129");
x.t("remarks","jms");
x.t("remarks","messages");
x.t("remarks","tibemsmapmsg_setbytes");
x.t("remarks","call");
x.t("location","strings");
x.t("location","tibemsmapmsg");
x.t("location","tibemsmsgenum");
x.t("location","remarks");
x.t("location","bytessize");
x.t("location","pointer");
x.t("tibemsmapmsg_getmapmsg","tibemsmapmsg");
x.t("tibemsmapmsg_getmapmsg","tibemsmapmsg_getstring");
x.t("tibemsmapmsg_getmapmsg","using");
x.t("sequence","location");
x.t("information","message");
x.t("data","name-value");
x.t("data","values");
x.t("tibemsmapmsg_setfloat","tibemsmapmsg");
x.t("tibemsmapmsg_setfloat","using");
x.t("tibemsmapmsg_setintarray","tibemsmapmsg");
x.t("tibemsmapmsg_setintarray","using");
x.t("smartsockets","rendezvous");
x.t("smartsockets","programs");
x.t("nested","messages");
x.t("nested","message");
x.t("nested","value");
x.t("tibems_uint","count");
x.t("tibems_uint","bytessize");
x.t("result","test");
x.t("values","extensions");
x.t("values","indexed");
x.t("values","size");
x.t("values","map");
x.t("values","function");
x.t("tibemsmapmsg_get","enumeration");
x.t("tibemsmapmsg_get","tibemsmapmsg_setbytes");
x.t("application","creates");
x.t("allocates","storage");
x.t("documented","group");
x.t("tibemsmapmsg_setbyte","tibemsmapmsg");
x.t("tibemsmapmsg_setbyte","using");
x.t("orignal","byte");
x.t("specification","defines");
x.t("specification","smartsockets");
x.t("specification","insert");
x.t("tibemsmapmsg_setfloatarray","tibemsmapmsg");
x.t("tibemsmapmsg_setfloatarray","using");
x.t("efficient","avoid");
x.t("two","body");
x.t("two","ways");
x.t("bytessize","tibems_status");
x.t("bytessize","cobol");
x.t("bytessize","byte");
x.t("bytessize","returning");
x.t("bytessize","tibemsmapmsg_getbytes");
x.t("tibemsmapmsg_setchar","tibemsmapmsg");
x.t("tibemsmapmsg_setchar","using");
x.t("submessage","mapmessage");
x.t("tibems_long","value");
x.t("tibemsmapmsg_setstreammsg","tibemsmsg");
x.t("tibemsmapmsg_setstreammsg","using");
x.t("positive","number");
x.t("prevents","calls");
x.t("tibemsmapmsg_setbytes","copies");
x.t("tibemsmapmsg_setbytes","function");
x.t("tibemsmapmsg_setbytes","tibemsmapmsg");
x.t("tibemsmapmsg_setbytes","page");
x.t("tibemsmapmsg_setbytes","using");
x.t("copy","however");
x.t("copy","bytes");
x.t("call","tibemsmapmsg_setlong");
x.t("call","creates");
x.t("call","tibemsmapmsg_itemexists");
x.t("call","tibemsmapmsg_getbyte");
x.t("call","tibemsmapmsg_getchar");
x.t("call","tibemsmapmsg_setreferencedbytes");
x.t("call","tibemsmapmsg_setshortarray");
x.t("call","tibemsmapmsg_getfield");
x.t("call","tibemsmapmsg_setdoublearray");
x.t("call","increments");
x.t("call","tibemsmapmsg_getmapnames");
x.t("call","tibemsmapmsg_getlong");
x.t("call","tibemsmapmsg_getshort");
x.t("call","tibemsmapmsg_getfloat");
x.t("call","tibemsmapmsg_getbytes");
x.t("call","tibemsmapmsg_getdouble");
x.t("call","tibemsmapmsg_setlongarray");
x.t("call","tibemsmsg_destroy");
x.t("call","tibemsmapmsg_setdouble");
x.t("call","tibemsmapmsg_getstring");
x.t("call","tibemsmapmsg_setshort");
x.t("call","tibemsmapmsg_getmapmsg");
x.t("call","tibemsmapmsg_setfloat");
x.t("call","tibemsmapmsg_setintarray");
x.t("call","tibemsmapmsg_setbyte");
x.t("call","tibemsmapmsg_setfloatarray");
x.t("call","tibemsmapmsg_setchar");
x.t("call","tibemsmapmsg_setstreammsg");
x.t("call","tibemsmapmsg_setbytes");
x.t("call","call");
x.t("call","tibemsmapmsg_setboolean");
x.t("call","tibemsmapmsg_setint");
x.t("call","tibemsmapmsg_setstring");
x.t("call","returns");
x.t("call","tibemsmapmsg_create");
x.t("call","tibemsmapmsg_getboolean");
x.t("call","tibemsmapmsg_setmapmsg");
x.t("call","tibemsmapmsg_getint");
x.t("tibemsmapmsg_setboolean","tibemsmapmsg");
x.t("tibemsmapmsg_setboolean","using");
x.t("associate","byte");
x.t("associate","value");
x.t("service","exchange");
x.t("service","release");
x.t("service","extends");
x.t("pointer","new");
x.t("pointer","byte");
x.t("pointer","enumeration");
x.t("pointer","parameters");
x.t("pointer","value");
x.t("pointer","tibemsmapmsg_getmapmsg");
x.t("storage","subsequently");
x.t("storage","message");
x.t("containing","name-value");
x.t("vendor","property");
x.t("using","reference");
x.t("using","value");
x.t("mapmessage","extensions");
x.t("mapmessage","streammessage");
x.t("series","nested");
x.t("tibemsmapmsg_setint","tibemsmapmsg");
x.t("tibemsmapmsg_setint","using");
x.t("tibemsmapmsg_setstring","tibemsmapmsg");
x.t("tibemsmapmsg_setstring","using");
x.t("returns","tibemsmapmsg_setreferencedbytes");
x.t("tibemsmapmsg_create","create");
x.t("tibemsmapmsg_create","function");
x.t("tibemsmapmsg_create","tibemsmapmsg");
x.t("tibemsmapmsg_create","using");
x.t("names","map");
x.t("names","message");
x.t("names","null");
x.t("therefore","compliant");
x.t("tibemsmapmsg_getboolean","tibemsmapmsg");
x.t("tibemsmapmsg_getboolean","using");
x.t("associated","name");
x.t("129","tibemsmapmsg_itemexists");
x.t("takeownership","tibems_status");
x.t("takeownership","cobol");
x.t("takeownership","nested");
x.t("modify","original");
x.t("insert","mapmessage");
x.t("flexibility","two");
x.t("tibemsmapmsg_setmapmsg","sets");
x.t("tibemsmapmsg_setmapmsg","tibemsmapmsg");
x.t("tibemsmapmsg_setmapmsg","using");
x.t("tibems_bool","exists");
x.t("tibems_bool","value");
x.t("tibems_bool","takeownership");
x.t("tibemsmapmsg_getint","tibemsmapmsg");
x.t("tibemsmapmsg_getint","using");
x.t("extract","array");
x.t("extract","data");
x.t("improperly","recommend");
}
